const cityToMap = {
  '哈尔滨市': 'haerbin',
  '齐齐哈尔市': 'qiqihaer',
  '鸡西市': 'jixi',
  '鹤岗市': 'hegang',
  '双鸭山市': 'shuangyashan',
  '大庆市': 'daqing',
  '伊春市': 'yichun',
  '佳木斯市': 'jiamusi',
  '七台河市': 'qitaihe',
  '牡丹江市': 'mudanjiang',
  '黑河市': 'heihe',
  '绥化市': 'suihua',
  '大兴安岭地区': 'daxinganling',
  /*哈尔滨市*/
  '道里区': 'daoli',
  '南岗区': 'nangang',
  '道外区': 'daowai',
  '平房区': 'pingfang',
  '松北区': 'songbei',
  '香坊区': 'xiangfang',
  '呼兰区': 'hulan',
  '阿城区': 'acheng',
  '双城区': 'shuangcheng',
  '依兰县': 'yilan',
  '方正县': 'fangzheng',
  '宾县': 'binxian',
  '巴彦县': 'bayan',
  '木兰县': 'mulan',
  '通河县': 'tonghe',
  '延寿县': 'yanshou',
  '尚志市': 'shangzhi',
  '五常市': 'wuchang',
  /*齐齐哈尔*/
  '龙沙区': 'longsha',
  '建华区': 'jianhua',
  '铁锋区': 'tiefeng',
  '昂昂溪区': 'angangxi',
  '富拉尔基区': 'fulaerji',
  '碾子山区': 'nianzishan',
  '梅里斯达区斡尔族区': 'meilisida',
  '龙江县': 'longjiang',
  '依安县': 'yian',
  '泰来县': 'tailai',
  '甘南县': 'gannan',
  '富裕县': 'fuyu',
  '克山县': 'keshan',
  '克东县': 'kedong',
  '拜泉县': 'baiquan',
  '讷河市': 'nehe',
  /*鸡西市*/
  '鸡冠区': 'jiguan',
  '恒山区': 'hengshan',
  '滴道区': 'didao',
  '梨树区': 'lishu',
  '城子河区': 'chengzihe',
  '麻山区': 'mashan',
  '鸡东县': 'jidong',
  '虎林市': 'hulin',
  '密山市': 'mishan',
  /*鹤岗市*/
  '向阳区（鹤岗）': 'xiangyang',
  '工农区': 'gongnong',
  '南山区': 'nanshan',
  '兴安区': 'xingan',
  '东山区': 'dongshan',
  '兴山区': 'xingshan',
  '萝北县': 'luobei',
  '绥滨县': 'suibin',
  /*双鸭山市*/
  '尖山区': 'jianshan',
  '岭东区': 'lingdong',
  '四方台区': 'sifangtai',
  '宝山区': 'baoshan',
  '集贤县': 'jixian',
  '友谊县': 'youyi',
  '宝清县': 'baoqing',
  '饶河县': 'raohe',
  /*大庆市*/
  '萨尔图区': 'saertu',
  '龙凤区': 'longfeng',
  '让胡路区': 'ranghulu',
  '红岗区': 'honggang',
  '大同区': 'datong',
  '肇州县': 'zhaozhou',
  '肇源县': 'zhaoyuan',
  '林甸县': 'lindan',
  '杜尔伯特蒙古族自治县': 'duerbote',
  /*伊春市*/
  '伊美区': 'yimei',
  '乌翠区': 'wucui',
  '友好区': 'youhao',
  '嘉荫县': 'jiayin',
  '汤旺县': 'tangwang',
  '丰林县': 'fenglin',
  '大箐山县': 'daqingshan',
  '南岔县': 'nancha',
  '金林区': 'jinlin',
  '铁力市': 'tieli',
  /*佳木斯市*/
  '向阳区': 'xiangyangqu',
  '前进区': 'qianjin',
  '东风区': 'dongfeng',
  '郊区': 'jiaoqu',
  '桦南县': 'huanan',
  '桦川县': 'huachuan',
  '汤原县': 'tangyuan',
  '同江市': 'tongjiang',
  '富锦市': 'fujin',
  '抚远市': 'fuyuan',
  /*七台河市*/
  '新兴区': 'xinxing',
  '桃山区': 'taoshan',
  '茄子河区': 'qiezihe',
  '勃利县': 'boli',
  /*牡丹江市*/
  '东安区': 'dongan',
  '阳明区': 'yangming',
  '爱民区': 'aimin',
  '西安区': 'xian',
  '林口县': 'linkou',
  '绥芬河市': 'suifenhe',
  '海林市': 'hailin',
  '宁安市': 'ningan',
  '穆棱市': 'muling',
  '东宁市': 'dongning',
  /*黑河市*/
  '爱辉区': 'aihui',
  '逊克县': 'xunke',
  '孙吴县': 'sunwu',
  '北安市': 'beian',
  '五大连池市': 'wudalianchi',
  '嫩江市': 'nenjiang',
  /*绥化市*/
  '北林区': 'beilin',
  '望奎县': 'wangkui',
  '兰西县': 'lanxi',
  '青冈县': 'qinggang',
  '庆安县': 'qiangan',
  '明水县': 'mingshui',
  '绥棱县': 'suiling',
  '安达市': 'anda',
  '肇东市': 'zhaodong',
  '海伦市': 'hailun',
  /*大兴安岭*/
  '漠河县': 'mohe',
  '加格达奇区': 'jiagedaqi',
  '呼玛县': 'huma',
  '塔河县': 'tahe'
}
export default {
  cityToMap
}
