export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  addBtn: false,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  "column": [{
    "type": "input",
    "label": "场站编号",
    "prop": "stationCode"
  }
    , {
      "type": "datetime",
      "label": "生成日期",
      "format": 'yyyy-MM-dd',
      "valueFormat": 'yyyy-MM-dd',
      "prop": "genDate"
    }
    , {
      "type": "datetime",
      "label": "预测时间",
      "format": 'yyyy-MM-dd HH:mm',
      "valueFormat": 'yyyy-MM-dd HH:mm:ss',
      "prop": "forecastTime"
    }
    , {
      "type": "input",
      "label": "预测模型",
      "prop": "predictionModelEnum"
    }
    , {
      "type": "input",
      "label": "可用预测功率",
      "prop": "ableValue"
    }
    , {
      "type": "input",
      "label": "理论预测功率",
      "prop": "theoryValue"
    }
    , {
      "type": "input",
      "label": "开机容量",
      "prop": "suCapacity"
    }
    , {
      "type": "input",
      "label": "装机容量",
      "prop": "capacity"
    }
    , {
      "type": "input",
      "label": "提前多久预测",
      "prop": "forecastHowLongAgo"
    }
  ]
}
