export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  title: "文件解析 ",
  excelBtn: true,
  menu: false,
  addBtn: false,
  editBtn: false,
  delBtn: false,
  "column": [{
    "type": "select",
    "label": "所属场站",
    "prop": "stationCode",
    filterable: true,
    dicUrl: '/electricfield/all'
  }
    , {
      "type": "input",
      "label": "文件名称",
      "prop": "fileName"
    }
    , {
      "type": "input",
      "label": "解析时间",
      "prop": "parsingTime"
    }
    , {
      "type": "input",
      "label": "文件类型",
      "prop": "fileType"
    }
    , {
      "type": "input",
      "label": "文件解析状态",
      "prop": "parsingFileStatus",
      formatter: (row, value, label, column) => {
        if (value == 0) {
          return label = "失败"
        }
        if (value == 1) {
          return label = "成功"
        }
      }
    }
    , {
      "type": "input",
      "label": "文件解析状态描述",
      "prop": "parsingDescribe"
    }
  ]
}
