export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  "column": [{
    "type": "input",
    "label": "设备主键ID",
    "prop": "equipmentId"
  }
    , {
      "type": "input",
      "label": "状态值为1代表运行，2代表待机，3代表停用，4代表故障",
      "prop": "status"
    }
    , {
      "type": "dateTime",
      "label": "时间",
      "format": 'yyyy-MM-dd HH:mm',
      "valueFormat": 'yyyy-MM-dd HH:mm:ss',
      "prop": "time"
    },
    {
      "type": "input",
      "label": "场站编号",
      "prop": "stationCode"
    }
    , {
      "type": "input",
      "label": "人工判断是否限电0  以系统判断结果为准 1 限电  2 不限电",
      "prop": "isRationingByManualControl"
    }
    , {
      "type": "input",
      "label": "系统自动判断是否限电1  限电 0 不限电 ",
      "prop": "isRationingByAutoControl"
    }
    , {
      "type": "input",
      "label": "实际功率(MW)",
      "prop": "realValue"
    }
    , {
      "type": "input",
      "label": "可用功率(MW)",
      "prop": "ableValue"
    }
    , {
      "type": "input",
      "label": "理论功率(MW)",
      "prop": "theoryValue"
    }
    , {
      "type": "input",
      "label": "样板机参照功率(MW)  理论",
      "prop": "referencePowerBySample"
    }
    , {
      "type": "input",
      "label": "测风/光法 参照功率(MW) 理论",
      "prop": "referencePowerByMeasuring"
    }
    , {
      "type": "input",
      "label": "样板机法功率(MW) 可用",
      "prop": "ablePowerBySample"
    }
    , {
      "type": "input",
      "label": "测风/光法 (MW) 可用",
      "prop": "ablePowerByMeasuring"
    }
    , {
      "type": "input",
      "label": "样板机法的异常值",
      "prop": "abnormalOfSample"
    }
    , {
      "type": "input",
      "label": "测风光法的异常值",
      "prop": "abnormalOfMeasuring"
    }
    , {
      "type": "input",
      "label": "开机容量",
      "prop": "openCapacity"
    }
    , {
      "type": "input",
      "label": "装机容量(MW)",
      "prop": "capacity"
    }
    , {
      "type": "input",
      "label": "站内受阻功率(MW)",
      "prop": "onSiteObstructed"
    }
    , {
      "type": "input",
      "label": "日发电量(MW)",
      "prop": "dailyOutPut"
    }
    , {
      "type": "input",
      "label": "日上网电量(MW)",
      "prop": "dailyGridOutPut"
    }
    , {
      "type": "input",
      "label": "站外受阻功率(MW)",
      "prop": "offSiteObstructed"
    }
    , {
      "type": "input",
      "label": "并网设备数(个)",
      "prop": "onGridNum"
    }
  ]
}
