export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  title: "光伏组件信息 ",
  excelBtn: true,
  "column": [{
    "type": "select",
    "label": "所属场站",
    "prop": "stationCode",
    rules: [{
      required: true,
      message: '请填写场站编号',
      trigger: 'blur'
    }],
    filterable: true,
    dicUrl: '/electricfield/all'
  }, {
    "type": "input",
    "label": "型号",
    "prop": "model",
    rules: [{
      required: true,
      message: '请填写型号',
      trigger: 'blur'
    }],
  }
    , {
      "type": "input",
      "label": "单个装机容量",
      "prop": "singleCap",
      rules: [{
        required: true,
        message: '请填写单个装机容量',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "最大工作电压",
      "prop": "maximumExcitationVoltage",
      rules: [{
        required: true,
        message: '请填写最大工作电压',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "最大工作电流",
      "prop": "maximumPowerCurrent",
      rules: [{
        required: true,
        message: '请填写最大工作电流',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "开路电压",
      "prop": "openCircuitVoltage",
      rules: [{
        required: true,
        message: '请填写开路电压',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "短路电流",
      "prop": "shortCircuitCurrent",
      rules: [{
        required: true,
        message: '请填写短路电流',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "组件工作效率",
      "prop": "efficiencyOfWork",
      rules: [{
        required: true,
        message: '请填写组件工作效率',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "旋转方式",
      "prop": "rotationMode",
      rules: [{
        required: true,
        message: '请填写旋转方式',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "安装倾斜度",
      "prop": "gradient",
      rules: [{
        required: true,
        message: '请填写安装倾斜度',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "单个光伏组件面积",
      "prop": "singleArea",
      rules: [{
        required: true,
        message: '请填写单个光伏组件面积',
        trigger: 'blur'
      }],
    }
  ]
}
