import Layout from '@/page/index/'

export default [
  {
    hasChildren: true,
    icon: "icon-wenjianguanli",
    id: "4058",
    keepAlive: "0",
    label: "数据查询",
    menuType: "0",
    name: "数据查询",
    parentId: "-1",
    path: "/idp/data",
    permission: null,
    sort: 1,
    spread: false,
    children: [{
      children: [],
      hasChildren: false,
      icon: "",
      id: "4080",
      keepAlive: "0",
      label: "预测数据查询",
      menuType: "0",
      name: "预测数据查询",
      parentId: "4058",
      path: "/idp/data/forecastpowerdata/index",
      permission: "",
      sort: 1,
      spread: false
    },
      {
        children: [],
        hasChildren: false,
        icon: "",
        id: "4080",
        keepAlive: "0",
        label: "测风塔数据查询",
        menuType: "0",
        name: "测风塔数据查询",
        parentId: "4058",
        path: "/idp/data/windtowerstatusdata/index",
        permission: "",
        sort: 1,
        spread: false
      },
      {
        children: [],
        hasChildren: false,
        icon: "",
        id: "4080",
        keepAlive: "0",
        label: "气象站数据查询",
        menuType: "0",
        name: "气象站数据查询",
        parentId: "4058",
        path: "/idp/data/weatherstationstatusdata/index",
        permission: "",
        sort: 1,
        spread: false
      },

      {
      children: [],
      hasChildren: false,
      icon: "",
      id: "4246",
      keepAlive: "0",
      label: " 准确率查询",
      menuType: "0",
      name: " 准确率查询",
      parentId: "4058",
      path: "/idp/data/accuracyCalculation/index",
      permission: null,
      sort: 1,
      spread: false,
    }]
  },
  {
    hasChildren: true,
    icon: "icon-guanwangfangwen",
    id: "4051",
    keepAlive: "0",
    label: "控制管理",
    menuType: "0",
    name: "控制管理",
    parentId: "-1",
    path: "/idp/control",
    permission: null,
    sort: 2,
    spread: false,
    children: [
      {
        children: [],
        hasChildren: false,
        icon: "icon-bangzhushouji",
        id: "4060",
        keepAlive: "0",
        label: "场站管理",
        menuType: "0",
        name: "场站管理",
        parentId: "4051",
        path: "/idp/control/electricfield/index",
        permission: "",
        sort: 1,
        spread: false,
      }, {
        children: [],
        hasChildren: false,
        icon: "icon-bangzhushouji",
        id: "4170",
        keepAlive: "0",
        label: "预测厂家管理",
        menuType: "0",
        name: "预测厂家管理",
        parentId: "4051",
        path: "/idp/control/forecastmanufactor/index",
        permission: "",
        sort: 1,
        spread: false
      }, {
        children: [],
        hasChildren: false,
        icon: "icon-bangzhushouji",
        id: "4171",
        keepAlive: "0",
        label: "测风塔管理",
        menuType: "0",
        name: "测风塔管理",
        parentId: "4051",
        path: "/idp/control/windtowerinfo/index",
        permission: "",
        sort: 1,
        spread: false
      }, {
        children: [],
        hasChildren: false,
        icon: "icon-bangzhushouji",
        id: "4172",
        keepAlive: "0",
        label: "气象站管理",
        menuType: "0",
        name: "气象站管理",
        parentId: "4051",
        path: "/idp/control/weatherstationinfo/index",
        permission: "",
        sort: 1,
        spread: false
      }
    ]
  },
  {
    hasChildren: true,
    icon: "icon-xitongguanli",
    id: "4059",
    keepAlive: "0",
    label: "系统管理",
    menuType: "0",
    name: "系统管理",
    parentId: "-1",
    path: "/idp/system",
    permission: null,
    sort: 3,
    spread: false,
    children: [{
      children: [],
      hasChildren: false,
      icon: "icon-bangzhushouji",
      id: "4135",
      keepAlive: null,
      label: "系统参数",
      menuType: "0",
      name: "系统参数",
      parentId: "4059",
      path: "/idp/system/sysparameter/index",
      permission: "",
      sort: 8,
      spread: false
    },
    //   {
    //   children: [],
    //   hasChildren: false,
    //   icon: "icon-bangzhushouji",
    //   id: "4125",
    //   keepAlive: null,
    //   label: "定时任务",
    //   menuType: "0",
    //   name: "定时任务",
    //   parentId: "4059",
    //   path: "/idp/system/quartz/index",
    //   permission: "",
    //   sort: 8,
    //   spread: false
    // }, {
    //   children: [],
    //   hasChildren: false,
    //   icon: "icon-bangzhushouji",
    //   id: "4090",
    //   keepAlive: null,
    //   label: "定时任务初始化",
    //   menuType: "0",
    //   name: "定时任务初始化",
    //   parentId: "4059",
    //   path: "/idp/system/initjobclass/index",
    //   permission: "",
    //   sort: 8,
    //   spread: false
    // },
    //   {
    //   children: [],
    //   hasChildren: false,
    //   icon: "icon-bangzhushouji",
    //   id: "4130",
    //   keepAlive: null,
    //   label: "系统告警",
    //   menuType: "0",
    //   name: "系统告警",
    //   parentId: "4059",
    //   path: "/idp/system/sysalarm/index",
    //   permission: "",
    //   sort: 8,
    //   spread: false
    // }
    ]
  },
  // {
  //   hasChildren: true,
  //   icon: "icon-guiji",
  //   id: "4182",
  //   keepAlive: "0",
  //   label: "数据交互中心",
  //   menuType: "0",
  //   name: "数据交互中心",
  //   parentId: "-1",
  //   path: "/da",
  //   permission: null,
  //   sort: 4,
  //   spread: false
  // },
  {
    hasChildren: true,
    icon: "icon-anniu_weixincaidanlianjie",
    id: "4241",
    keepAlive: "0",
    label: "文件解析",
    menuType: "0",
    name: "文件解析",
    parentId: "-1",
    path: "/an",
    permission: null,
    sort: 7,
    spread: false,
    children: [{
      children: [],
      hasChildren: false,
      icon: "",
      id: "4242",
      keepAlive: "0",
      label: "解析通道",
      menuType: "0",
      name: "解析通道",
      parentId: "4241",
      path: "/an/parsingChannel/index",
      permission: null,
      sort: 3,
      spread: false
    }, {
      children: [],
      hasChildren: false,
      icon: "",
      id: "4243",
      keepAlive: "0",
      label: "解析配置",
      menuType: "0",
      name: "解析配置",
      parentId: "4241",
      path: "/an/PFParsing/index",
      permission: null,
      sort: 3,
      spread: false
    }, {
      children: [],
      hasChildren: false,
      icon: "",
      id: "4065",
      keepAlive: "0",
      label: "文件解析记录",
      menuType: "0",
      name: "文件解析记录",
      parentId: "4241",
      path: "/idp/control/parsingLog/index",
      permission: "",
      sort: 3,
      spread: false
    }]
  },
  {
    path: '/info',
    component: Layout,
    redirect: '/info/index',
    children: [{
      path: 'index',
      name: '个人信息',
      component: () =>
        import ( /* webpackChunkName: "page" */ '@/views/admin/user/info'),
    }]
  }
]
