package com.jiayue.ipfcst.client.controller;

import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * TODO
 *
 * @author zzy
 * @version 1.0
 * @since 2020/4/22 15:08
 */
@RestController
@RequestMapping("clientVersion")
@Slf4j
@PropertySource(value = {"classpath:META-INF\\build-info.properties"})
public class ConsoleVersionController {

    @Value("${build.version}")
    private String version;

    /**
     * 获取系统用户
     *
     * @return 执行结果
     */
    @SneakyThrows
    @GetMapping
    public String get() {
        return this.version;
    }
}
