package com.jiayue.ipfcst.client.domain.entity;

import com.jiayue.ipfcst.client.protocol2file.EquipmentType;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public abstract class BaseStatusData {


    /**
     * 时间
     */
    Date time;


    /**
     * 场站编码
     */
    String stationCode;


    /**
     * 设备类型
     */
    EquipmentType equipmentType;



    public abstract BigDecimal getNumberValueByFiled(String filedName) throws IllegalAccessException ;


    /**
     * 把数字值存入对应字段
     *
     * @param filedName 字段名
     * @param val       值
     * @throws IllegalAccessException 非法访问异常
     */
    public abstract void putNumberValueByFiled(String filedName,BigDecimal val) throws IllegalAccessException ;





}
