package com.jiayue.ipfcst.client.domain.entity;

import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.beans.Transient;
@Data
public class ClientConfig {
    private Integer id;
    private String stationCode;

    private String stationName;

    private String stationStatus;

    /**
     * 云地址
     */
    private String cloudAddr;
    /**
     * 在线状态
     */
    private String status;

    /**
     * 反向隔离传输方式和路径
     */
    private String fxglType = "E文本";
    private String fxglPath;


    /**
     * 正向隔离扫描路径
     */
    private String zxglType;
    private String zxglPath;

    /**
     * 对rb文件重命名 个别场站反向隔离特殊需要
     */
    private String renameFile ;
    /**
     * 下载类型（http或者ftp）
     */
    private String downLoadProtocol= "https";

    /**
     * 下载文件选择 DQ/NWP/所有
     */
    private String downLoadFileChoose;
    /**
     * 是否下发重启external
     */
    private String toRebootExternal;

    /**
     * 外网气象数据接入通道状态
     */
    private String clientTunnelStatus;


    private String dqAndNwpFileTask ;
    private String fxglTask ;
    private String zxglTask ;

}
