package com.jiayue.ipfcst.common.core.config;

import com.jiayue.ipfcst.common.core.util.RSAEncrypt;
import org.jasypt.encryption.StringEncryptor;
import org.springframework.context.annotation.Bean;

/**
 * 自定义加密解密器,用于数据库账号密码解密
 *
 * @author zzy
 * @version 1.0
 * @since 2019/8/8 10:57
 */
//@Configuration
//@EnableEncryptableProperties
public class EncryptionConfig {
    @Bean("jasyptStringEncryptor") public StringEncryptor stringEncryptor() {
        return new RSAEncrypt();
    }
}
