package com.jiayue.ipfcst.common.core.integration.config;

import com.jiayue.ipfcst.common.core.integration.correct.dq.CForePowerShortTermCorrect;
import com.jiayue.ipfcst.common.core.integration.correct.dq.IForePowerShortTermCorrect;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @description: 一体化配置类
 * @author: yuanhao
 * @createDate: 2021/9/6
 * @version: 1.0
 */
@Configuration
public class IntegrationConfig {

    @Bean
    @ConditionalOnMissingBean(IForePowerShortTermCorrect.class)
    public IForePowerShortTermCorrect forePowerShortTermCorrect(){
        return new CForePowerShortTermCorrect();
    }
}
