package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.mybatis.base.BaseDataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * idp_init_job_class
 *
 * @author whc
 * @date 2022-03-18 15:49:03
 */
@Data
@TableName("idp_init_job_class")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "idp_init_job_class")
public class InitJobClass extends BaseDataEntity<InitJobClass> {
    private static final long serialVersionUID = 1L;


    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;


    /**
     * 定时任务名
     */
    @ApiModelProperty(value = "定时任务名")
    private String jobClassName;


    /**
     * 定时任务位置路径
     */
    @ApiModelProperty(value = "定时任务位置路径")
    private String jobClassPath;


    /**
     * 类型
     */
    @ApiModelProperty(value = "类型")
    private String jobClassType;


}
