package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.mybatis.base.BaseDataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * idp_sys_alarm
 *
 * @author whc
 * @date 2022-03-18 15:49:34
 */
@Data
@TableName("idp_sys_alarm")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "idp_sys_alarm")
public class SysAlarm extends BaseDataEntity<SysAlarm> {
    private static final long serialVersionUID = 1L;


    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;


    /**
     * 备用字段A
     */
    @ApiModelProperty(value = "备用字段A")
    private String backupA;


    /**
     * 备用字段B
     */
    @ApiModelProperty(value = "备用字段B")
    private String backupB;


    /**
     * 备用字段C
     */
    @ApiModelProperty(value = "备用字段C")
    private String backupC;


    /**
     * 备用字段D
     */
    @ApiModelProperty(value = "备用字段D")
    private String backupD;


    /**
     * 备用字段E
     */
    @ApiModelProperty(value = "备用字段E")
    private String backupE;


    /**
     * 错误信息
     */
    @ApiModelProperty(value = "错误信息")
    private String errorInfo;


    /**
     * 问题类型
     */
    @ApiModelProperty(value = "问题类型")
    private Integer alarmTypeEnum;


    /**
     * 问题名称
     */
    @ApiModelProperty(value = "问题名称")
    private String name;


    /**
     * 问题描述
     */
    @ApiModelProperty(value = "问题描述")
    private String problemDescription;


    /**
     * 问题状态
     */
    @ApiModelProperty(value = "问题状态")
    private Integer alarmStatusEnum;


    /**
     * 处理办法
     */
    @ApiModelProperty(value = "处理办法")
    private String solution;


    /**
     * 问题优先级
     */
    @ApiModelProperty(value = "问题优先级")
    private String pritority;


}
