package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.mybatis.base.PhysicalBasicEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * fu_upload_file_log_detail
 *
 * @author xsl
 * @date 2022-04-12 19:29:43
 */
@Data
@TableName("fu_upload_file_log_detail")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "fu_upload_file_log_detail")
public class UploadFileLogDetail extends PhysicalBasicEntity<UploadFileLogDetail> {
    private static final long serialVersionUID = 1L;


    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Long id;


    /**
     * 场站编号
     */
    @ApiModelProperty(value = "场站编号")
    private String stationCode;


    /**
     * 备用字段A
     */
    @ApiModelProperty(value = "备用字段A")
    private String backupA;


    /**
     * 备用字段B
     */
    @ApiModelProperty(value = "备用字段B")
    private String backupB;


    /**
     * 备用字段C
     */
    @ApiModelProperty(value = "备用字段C")
    private String backupC;


    /**
     * 备用字段D
     */
    @ApiModelProperty(value = "备用字段D")
    private String backupD;


    /**
     * 备用字段E
     */
    @ApiModelProperty(value = "备用字段E")
    private String backupE;


    /**
     * 通道主键ID(记录哪个通道上报的文件)
     */
    @ApiModelProperty(value = "通道主键ID(记录哪个通道上报的文件)")
    private Long uploadChanneId;


    /**
     * 上报对象名称(记录哪个通道上报的文件)
     */
    @ApiModelProperty(value = "上报对象名称(记录哪个通道上报的文件)")
    private String uploadObjectName;


    /**
     * 上报通道名称(记录哪个通道上报的文件)
     */
    @ApiModelProperty(value = " 上报通道名称(记录哪个通道上报的文件)")
    private String uploadChannelName;


    /**
     * 文件日志主键ID
     */
    @ApiModelProperty(value = "文件日志主键ID")
    private Long uploadFileLogId;


    /**
     * 文件名称
     */
    @ApiModelProperty(value = "文件名称")
    private String fileName;


    /**
     * 交互时间
     */
    @ApiModelProperty(value = "交互时间")
    private String uploadTime;


    /**
     * 上报状态
     */
    @ApiModelProperty(value = "上报状态")
    private String fileStatusEnum;


    /**
     * 失败原因
     */
    @ApiModelProperty(value = "失败原因")
    private String uploadFailureReason;


}
