package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.mybatis.base.PhysicalBasicEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 上报路径
 *
 * @author tl
 * @version 3.0
 */
@Data
@TableName("fu_uploadurl")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "ftp/sftp上报路径")
public class UploadURL  extends PhysicalBasicEntity<UploadObject> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Long id;

    //上报路径
    @ApiModelProperty(value = "上报路径")
    private String uploadUrl;

    //上报对象id
    @ApiModelProperty(value = "上报对象ID")
    private String uploadObjectId;

    //文件类型
    @ApiModelProperty(value = "上报文件类型")
    private String fileTypeEnum;

}
