package com.jiayue.ipp.common.data.entity.an;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * dq解析配置
 * Parse file
 * @author tl
 * @version 1.0
 */
@Data
@TableName("pf_parsing_dq_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "pf_parsing_dq_info")
public class ParsingDqInfo extends ParsingInfo<ParsingDqInfo> implements Serializable {


    /**
     * 数据生成日期
     */
    @ApiModelProperty(value = "数据生成日期")
    private String genDate;


    /**
     * 预测时间
     */
    @ApiModelProperty(value = "预测时间")
    private String forecastTime;


    /**
     * 预测数据
     */
    @ApiModelProperty(value = "预测数据")
    private String fpValue;




}
