package com.jiayue.ipp.common.data.entity.an;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.jiayue.ipp.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ParsingInfo<T extends Model<?>> extends BaseEntity<T> {

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;


    /**
     * 数据类型（s：单行，m：多行）
     */
    @ApiModelProperty(value = "文件名")
    private String dataType;

    /**
     * 文件名
     */
    @ApiModelProperty(value = "文件名")
    private String fileName;

    /**
     * 文件类型
     */
    @ApiModelProperty(value = "文件类型")
    private String fileType;


    /**
     * 场站编码
     */
    @ApiModelProperty(value = "场站编码")
    private String stationCode;
}
