package com.jiayue.ipp.common.data.entity.an;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 上报率记录表
 *
 * @author csc code generator
 * @date 2022-12-28 14:49:14
 */
@Data
@TableName("pf_reporting_rate_records")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "上报率记录表")
public class ReportingRateRecords extends BaseEntity<ReportingRateRecords> {
    private static final long serialVersionUID = 1L;


    /**
     *
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;


    /**
     * 上报类型
     */
    @ApiModelProperty(value = "上报类型,dq,cdq")
    private String fileType;


    /**
     * 上报率
     */
    @ApiModelProperty(value = "上报率")
    private String reportingRate;


    /**
     * 场站标识
     */
    @ApiModelProperty(value = "场站标识")
    private String stationCode;


    /**
     * 上报时间
     */
    @ApiModelProperty(value = "上报时间")
    private Date uploadTime;


}
