package com.jiayue.ipp.common.data.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 接收数据类型
 * modifying
 * 20.3.27 修唯   自主生成修改为公式生成   新增 预测数据  类型  细化了数据来源方式
 *
 * @author zzy
 * @version 1.0
 * @since 2019/8/16 15:01
 */
@Getter
@AllArgsConstructor

public enum DataSourceEnum implements IEnum<String> {

	/***
	 * 数据的集中来源方式
	 */
	GATHER(1, "外部接入"),
	GENERATE(2, "公式生成"),
	FORECAST(3, "预测生成");
	private Integer code;
	private String message;

	@Override
	public String getValue() {
		return this.name();
	}
}
