package com.jiayue.ipp.idp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jiayue.ipp.common.data.entity.ForecastPowerShortTerm;
import com.jiayue.ipp.common.data.entity.ForecastPowerUltraShortTerm;

import java.util.Date;
import java.util.List;

/**
 * idp_forecast_power_short_term
 *
 * @author whc
 * @date 2022-03-18 15:48:55
 */
public interface ForecastPowerShortTermService extends IService<ForecastPowerShortTerm> {
    /**
     * 根据场站编号和时间范围来查询
     *
     * @param stationCode 场站编号
     * @param startTime   开始时间
     * @param endTime     结束时间
     * @return
     */
    List<ForecastPowerShortTerm> findByStationCodeAndStartTimeAndEndTime(String stationCode, Date startTime, Date endTime);
}
