package com.jiayue.ipp.idp.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jiayue.ipp.common.data.entity.WeatherStationStatusData;

import java.util.Date;
import java.util.Map;


/**
 * 气象站数据业务层接口
 *
 * @author tl
 * @date 2022-05-11 09:51:21
 */
public interface WeatherStationStatusDataService extends IService<WeatherStationStatusData> {
    Map<String, Object> findByStationCodeAndeTimeBetweenAndEquipmentId(String stationCode, Date startTime, Date endTime, String equipmentId);

    QueryWrapper<WeatherStationStatusData> getPageByStationCodeAndeTimeBetweenAndEquipmentId(String stationCode, Date startTime, Date endTime, String equipmentId);
}
