package com.jiayue.ipp.idp.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jiayue.ipp.common.data.entity.WindTowerStatusData;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 测风塔数据业务层接口
 *
 * @author tl
 * @date 2022-05-11 09:51:21
 */
public interface WindTowerStatusDataService extends IService<WindTowerStatusData> {
    List<WindTowerStatusData> getByStationCodeBetweenTimeAndEquipmentId(String stationCode, Date startTime, Date endTime, String equipmentId);

    QueryWrapper<WindTowerStatusData> getByBetweenTimeAndEquipmentIdAndStationCode(Date startTime, Date endTime, String equipmentId, String stationCode);

    Map<String, Object> queryCharts(String stationCode, Date startTime, Date endTime, String equipmentId) throws Exception;
}
