import beijing from '@/assets/allChinaMap/province/110000.json'
import tianjing from '@/assets/allChinaMap/province/120000.json'
import hebei from '@/assets/allChinaMap/province/130000.json'
import shanxi from '@/assets/allChinaMap/province/140000.json'
import neimenggu from '@/assets/allChinaMap/province/150000.json'
import liaoning from '@/assets/allChinaMap/province/210000.json'
import jilin from '@/assets/allChinaMap/province/220000.json'
import heilongjiang from '@/assets/allChinaMap/province/230000.json'
import shanghai from '@/assets/allChinaMap/province/310000.json'
import jiangsu from '@/assets/allChinaMap/province/320000.json'
import zhejiang from '@/assets/allChinaMap/province/330000.json'
import anhui from '@/assets/allChinaMap/province/340000.json'
import fujian from '@/assets/allChinaMap/province/350000.json'
import jiangxi from '@/assets/allChinaMap/province/360000.json'
import shandong from '@/assets/allChinaMap/province/370000.json'
import henan from '@/assets/allChinaMap/province/410000.json'
import hubei from '@/assets/allChinaMap/province/420000.json'
import hunan from '@/assets/allChinaMap/province/430000.json'
import guangdong from '@/assets/allChinaMap/province/440000.json'
import guangxi from '@/assets/allChinaMap/province/450000.json'
import hainan from '@/assets/allChinaMap/province/460000.json'
import chongqing from '@/assets/allChinaMap/province/500000.json'
import sichuan from '@/assets/allChinaMap/province/510000.json'
import guizhou from '@/assets/allChinaMap/province/520000.json'
import yunnan from '@/assets/allChinaMap/province/530000.json'
import xizang from '@/assets/allChinaMap/province/540000.json'
import shanxisheng from '@/assets/allChinaMap/province/610000.json'
import gansu from '@/assets/allChinaMap/province/620000.json'
import qinghai from '@/assets/allChinaMap/province/630000.json'
import ningxia from '@/assets/allChinaMap/province/640000.json'
import xinjiang from '@/assets/allChinaMap/province/650000.json'
import taiwan from '@/assets/allChinaMap/province/710000.json'
import xianggang from '@/assets/allChinaMap/province/810000.json'
import aomen from '@/assets/allChinaMap/province/820000.json'
import hlj from '@/assets/allChinaMap/hljMap/cityMap'
const province = {
  '北京市': beijing,
  '天津市': tianjing,
  '河北省': hebei,
  '山西省': shanxi,
  '内蒙古自治区': neimenggu,
  '辽宁省': liaoning,
  '吉林省': jilin,
  '黑龙江省': heilongjiang,
  '上海市': shanghai,
  '江苏省': jiangsu,
  '浙江省': zhejiang,
  '安徽省': anhui,
  '福建省': fujian,
  '江西省': jiangxi,
  '山东省': shandong,
  '河南省': henan,
  '湖北省': hubei,
  '湖南省': hunan,
  '广东省': guangdong,
  '广西壮族自治区': guangxi,
  '海南省': hainan,
  '重庆市': chongqing,
  '四川省': sichuan,
  '贵州省': guizhou,
  '云南省': yunnan,
  '西藏自治区': xizang,
  '陕西省': shanxisheng,
  '甘肃省': gansu,
  '青海省': qinghai,
  '宁夏回族自治区': ningxia,
  '新疆维吾尔自治区': xinjiang,
  '台湾省': taiwan,
  '香港特别行政区': xianggang,
  '澳门特别行政区': aomen
}
const cityMap = Object.assign(province, hlj.cityMap)
export default {
  cityMap
}
