import hlj from '@/assets/allChinaMap/hljMap/cityToHlj'
const province = {
  '北京市': 'beijing',
  '天津市': 'tianjing',
  '河北省': 'hebei',
  '山西省': 'shanxi',
  '内蒙古自治区': 'neimenggu',
  '辽宁省': 'liaoning',
  '吉林省': 'jilin',
  '黑龙江省': 'heilongjiang',
  '上海市': 'shanghai',
  '江苏省': 'jiangsu',
  '浙江省': 'zhejiang',
  '安徽省': 'anhui',
  '福建省': 'fujian',
  '江西省': 'jiangxi',
  '山东省': 'shandong',
  '河南省': 'henan',
  '湖北省': 'hubei',
  '湖南省': 'hunan',
  '广东省': 'guangdong',
  '广西壮族自治区': 'guangxi',
  '海南省': 'hainan',
  '重庆市': 'chongqing',
  '四川省': 'sichuan',
  '贵州省': 'guizhou',
  '云南省': 'yunnan',
  '西藏自治区': 'xizang',
  '陕西省': 'shanxisheng',
  '甘肃省': 'gansu',
  '青海省': 'qinghai',
  '宁夏回族自治区': 'ningxia',
  '新疆维吾尔自治区': 'xinjiang',
  '台湾省': 'taiwan',
  '香港特别行政区': 'xianggang',
  '澳门特别行政区': 'aomen'
}
const cityToMap = Object.assign(province, hlj.cityToMap)
export default {
  cityToMap
}
