export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  addBtn: false,
  editBtn:false,
  delBtn:false,
  "column": [
    {
      "label": "设备属性id",
      "prop": "id",
      display: false,
      width:100
    },
     {
      "type": "input",
      "label": "设备属性名称",
      "prop": "significance",
      disabled: false,
      labelWidth:120,
      rules:[]
    }
    , {
      "type": "input",
      "label": "字段名称",
      "prop": "fieldName",
      disabled: false,
      rules:[]
    }
    , {
      "type": "input",
      "label": "计量单位",
      "prop": "measurementUnits",
      disabled: false,
    }
    , {
      "type": "select",
      "label": "设备类型",
      "prop": "equipmentType",
      disabled: false,
      dicUrl: '/da/equipmentTypeEnum/all',
      rules:[{ required: true, message: '请选择设备类型' }]
    }
    , {
      "type": "select",
      "label": "字段类型",
      "prop": "equipmentAttributeType",
      disabled: false,
      dicData: [{value: 'INVARIANT', label: '固定字段'},
        {value: 'SPARE', label: '备用字段'},
        {value: 'CUSTOM', label: '自定义字段'}]
    }
  ]
}
