export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  title: "预测数据 ",
  excelBtn: true,
  addBtn: false,
  delBtn: false,
  editBtn: false,
  menu: false,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  "column": [{
    "type": "input",
    "label": "所属场站",
    "prop": "stationCode"
  }, {
    "type": "datetime",
    "label": "预测时间",
    "format": 'yyyy-MM-dd HH:mm',
    "valueFormat": 'yyyy-MM-dd HH:mm:ss',
    "prop": "forecastTime"
  }
    , {
      "type": "input",
      "label": "超短期",
      "prop": "ultraShortData"
    }
    , {
      "type": "input",
      "label": "短期",
      "prop": "shortData"
    }
    , {
      "type": "input",
      "label": "实际功率",
      "prop": "powerStationStatusData"
    }
  ]
}
