export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  title: "NWP数据 ",
  excelBtn: true,
  menu: false,
  addBtn: false,
  editBtn: false,
  delBtn: false,
  "column": [{
    "type": "input",
    "label": "所属场站",
    "prop": "stationCode",
    dicUrl: '/electricfield/all',
    "width":150
  }, {
    "type": "input",
    "label": "预测时间",
    "prop": "preTime",
    "width":150
  }
    // ,
    // {
    //   "type": "date",
    //   "label": "生成日期",
    //   "format": 'yyyy-MM-dd',
    //   "valueFormat": 'yyyy-MM-dd',
    //   "prop": "scDate"
    // }
    // , {
    //   "type": "input",
    //   "label": "生成时间",
    //   "prop": "scTime"
    // }
    // , {
    //   "type": "date",
    //   "label": "预测日期",
    //   "format": 'yyyy-MM-dd',
    //   "valueFormat": 'yyyy-MM-dd',
    //   "prop": "preDate"
    // }
    , {
      "type": "input",
      "label": "温度",
      "prop": "t"
    }
    , {
      "type": "input",
      "label": "湿度",
      "prop": "rh"
    }
    , {
      "type": "input",
      "label": "气压",
      "prop": "pressure"
    }
    , {
      "type": "input",
      "label": "短波辐射",
      "prop": "swr"
    }
    // , {
    //   "type": "input",
    //   "label": "长波辐射",
    //   "prop": "lwr"
    // }
    , {
      "type": "input",
      "label": "直辐射",
      "prop": "directRadiation"
    }
    , {
      "type": "input",
      "label": "散辐射",
      "prop": "diffuseRadiation"
    }
    // , {
    //   "type": "input",
    //   "label": "热感通量",
    //   "prop": "senf"
    // }
    , {
      "type": "input",
      "label": "10米风速",
      "prop": "ws10"
    }
    , {
      "type": "input",
      "label": "30米风速",
      "prop": "ws30"
    }
    , {
      "type": "input",
      "label": "50米风速",
      "prop": "ws50"
    }
    , {
      "type": "input",
      "label": "70米风速",
      "prop": "ws70"
    }
    , {
      "type": "input",
      "label": "80米风速",
      "prop": "ws80"
    }
    , {
      "type": "input",
      "label": "90米风速",
      "prop": "ws90"
    }
    , {
      "type": "input",
      "label": "100米风速",
      "prop": "ws100"
    }
    , {
      "type": "input",
      "label": "170米风速",
      "prop": "ws170"
    }
    , {
      "type": "input",
      "label": "10米风向",
      "prop": "wd10"
    }
    , {
      "type": "input",
      "label": "30米风向",
      "prop": "wd30"
    }
    , {
      "type": "input",
      "label": "50米风向",
      "prop": "wd50"
    }
    , {
      "type": "input",
      "label": "70米风向",
      "prop": "wd70"
    }
    , {
      "type": "input",
      "label": "80米风向",
      "prop": "wd80"
    }
    , {
      "type": "input",
      "label": "90米风向",
      "prop": "wd90"
    }
    , {
      "type": "input",
      "label": "100米风向",
      "prop": "wd100"
    }
    , {
      "type": "input",
      "label": "170米风向",
      "prop": "wd170"
    }
  ]
}
