export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  "column": [{
    "type": "input",
    "label": "场站标识",
    "prop": "stationCode"
  }
    , {
      "type": "input",
      "label": "任务名称",
      "prop": "jobName"
    }
    , {
      "type": "input",
      "label": "任务状态",
      "prop": "jobState"
    }
    , {
      "type": "input",
      "label": "执行类",
      "prop": "executeClass"
    }
    , {
      "type": "input",
      "label": "任务描述",
      "prop": "description"
    }
    , {
      "type": "input",
      "label": "cron时间表达式或轮询时间",
      "prop": "cronExpression"
    }
    , {
      "type": "input",
      "label": "类型",
      "prop": "jobType"
    }
    , {
      "type": "datetime",
      "label": "开始时间",
      "format": 'yyyy-MM-dd HH:mm',
      "valueFormat": 'yyyy-MM-dd HH:mm:ss',
      "prop": "startTime"
    }
    , {
      "type": "datetime",
      "label": "下次执行时间",
      "format": 'yyyy-MM-dd HH:mm',
      "valueFormat": 'yyyy-MM-dd HH:mm:ss',
      "prop": "nextFireTime"
    }
    , {
      "type": "datetime",
      "label": "上次执行时间",
      "format": 'yyyy-MM-dd HH:mm',
      "valueFormat": 'yyyy-MM-dd HH:mm:ss',
      "prop": "prevFireTime"
    }
    , {
      "type": "datetime",
      "label": "最后执行时间",
      "format": 'yyyy-MM-dd HH:mm',
      "valueFormat": 'yyyy-MM-dd HH:mm:ss',
      "prop": "laetFireTime"
    }
  ]
}
