package com.jiayue.ipfcst.common.core.integration.constant;

/**
 * @description: 状态常量
 * @author: yuanhao
 * @createDate: 2021/8/20
 * @version: 1.0
 */
public interface StatusConstant {

    /**
     *  请求成功
     */
    String REQUEST_SUCCESS = "T200";
    /**
     * token已过期
     */
    String TOKEN_EXPIRE = "I101";
    /**
     * 无效token
     */
    String TOKEN_INVALID = "I102";

    /**
     * 签名失败
     */
    String AUTOGRAPH_FAIL ="I103";

    /**
     * 用户未登录，请先登录
     */
    String LOGIN_NOT ="I104";

    /**
     * 返回非json格式
     */
    String RESPONSE_ERROR1="E500";
    /**
     * 返回空
     */
    String RESPONSE_ERROR2="E600";
    /**
     * 链接超时断开
     */
    String RESPONSE_ERROR3="E700";
    /**
     * 未请求到token
     */
    String RESPONSE_ERROR4="E800";



    /**
     * 上午
     */
    String AM_DAY ="AM";
    /**
     * 下午
     */

    String PM_DAY = "PM";


    String BEAN_TYPE_DEFAULT = "default";

    String BEAN_TYPE_REAL = "real";


    String INTEGRATION_SIGN = "integration";







}
