package com.jiayue.ipfcst.common.core.web.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * 数据格式请求统一
 *
 * @author zzy
 * @version 1.0
 * @since 2019/5/10 16:34
 */
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class RequestVO<T> implements Serializable {

    private static final long serialVersionUID = -437839076132402939L;

    private Map<String,Object> parameters;
    /**
     * 页码
     */
    private Integer page;

    /**
     * 每页记录数
     */
    private Integer size;

    /**
     * 数据
     */
    private T data;

}