package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import com.jiayue.ipp.common.mybatis.base.BaseEntity;

/**
 * idp_forecast_manufactor
 *
 * @author whc
 * @date 2022-03-29 15:24:47
 */
@Data
@TableName("idp_forecast_manufactor")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "idp_forecast_manufactor")
public class ForecastManufactor extends BaseEntity<ForecastManufactor> {
    private static final long serialVersionUID = 1L;


    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;


    /**
     * 厂家编号
     */
    @ApiModelProperty(value = "厂家编号")
    private String number;


    /**
     * 预测厂家名称
     */
    @ApiModelProperty(value = "预测厂家名称")
    private String name;


    /**
     * 联系人
     */
    @ApiModelProperty(value = "联系人")
    private String contactPerson;


    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String contactNumber;

    /**
     * 厂家标识
     */
    @ApiModelProperty(value = "厂家标识")
    private String sign;


    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remarks;


}
