package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.mybatis.base.BaseDataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * idp_sys_parameter
 *
 * @author whc
 * @date 2022-03-18 15:49:37
 */
@Data
@TableName("idp_sys_parameter")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "idp_sys_parameter")
public class SysParameter extends BaseDataEntity<SysParameter> {
    private static final long serialVersionUID = 1L;


    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;


    /**
     * 备用字段A
     */
    @ApiModelProperty(value = "备用字段A")
    private String backupA;


    /**
     * 备用字段B
     */
    @ApiModelProperty(value = "备用字段B")
    private String backupB;


    /**
     * 备用字段C
     */
    @ApiModelProperty(value = "备用字段C")
    private String backupC;


    /**
     * 备用字段D
     */
    @ApiModelProperty(value = "备用字段D")
    private String backupD;


    /**
     * 备用字段E
     */
    @ApiModelProperty(value = "备用字段E")
    private String backupE;


    /**
     * 参数标识
     */
    @ApiModelProperty(value = "参数标识")
    private String sysKey;


    /**
     * 参数值
     */
    @ApiModelProperty(value = "参数值")
    private String sysValue;


    /**
     * 问题描述
     */
    @ApiModelProperty(value = "问题描述")
    private String problemDescription;


}
