package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.mybatis.base.PhysicalBasicEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 102上报文件code码
 *
 * @author xsl
 * @date 2022-04-12 19:33:02
 */
@Data
@TableName("fu_upload_file_code")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "102上报文件code码")
public class UploadFileCode extends PhysicalBasicEntity<UploadFileCode> {
    private static final long serialVersionUID = 1L;


    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Long id;


    /**
     * 上报文件类型
     */
    @ApiModelProperty(value = "上报文件类型")
    private String fileTypeEnum;


    /**
     * 102文件CODE码
     */
    @ApiModelProperty(value = "102文件CODE码")
    private String fileTypeCode;


}
