package com.jiayue.ipp.idp.controller.an;

import com.jiayue.ipp.idp.service.ElectricFieldService;
import com.jiayue.ipp.idp.service.an.ParsingDqInfoService;
import com.jiayue.ipp.idp.util.R;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@RequiredArgsConstructor
@RequestMapping("/parsingInfo")
public class ParsingInfoController {
    @Autowired
    ElectricFieldService electricFieldService;
    @Autowired
    ParsingDqInfoService parsingDqInfoService;

    @ApiOperation(value = "获取场站", notes = "获取场站")
    @GetMapping("/getElectricField")
    public R getElectricField(){
        return R.ok(electricFieldService.list());
    }

}
