package com.jiayue.ipp.idp.dto;

import lombok.Data;

import java.util.List;

/**
 * @Author: tl
 * @Date: 2023/6/25 9:23
 */
@Data
public class ResponsePowerData {

    /**
     * 场站标识
     */
    private String facCode;

    /**
     * 时间戳（秒）
     */
    private Long timeStamp;

    /**
     * 主变数据
     */
    private List<EnergyMeterData> mainTransformerData;

    /**
     * 集电数据
     */
    private List<EnergyMeterData> collectorSlipperData;

    /**
     * 储能数据
     */
    private List<EnergyMeterData> storedEnergyData;

}
