package com.jiayue.ipp.idp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jiayue.ipp.common.data.entity.ForecastManufactor;
import com.jiayue.ipp.idp.dto.KVPDto;

import java.util.List;
import java.util.Map;

/**
 * 气象站数据业务层接口
 *
 * @author tl
 * @date 2022-05-11 09:51:21
 */
public interface ForecastManufactorService extends IService<ForecastManufactor> {

    List<KVPDto> getForecastManufactorSelect();


    /**
     * 根据场站过滤出预测厂家
     *
     * @return
     */
    List<Map<String, String>> manufactorByStationCode(String stationCode);
}
